%define anolis_release 1
%define libselinuxver 3.4-1
%define libsepolver 3.4-1

Summary: SELinux policy compiler
Name: checkpolicy
Version: 3.4
Release: %{anolis_release}%{?dist}
License: GPLv2
Source0: https://github.com/SELinuxProject/selinux/releases/download/3.4/checkpolicy-3.4.tar.gz
# $ git clone https://github.com/fedora-selinux/selinux.git
# $ cd selinux
# $ git format-patch -N 3.3 -- checkpolicy
# $ i=1; for j in 00*patch; do printf "Patch%04d: %s\n" $i $j; i=$((i+1));done
# Patch list start
# Patch list end
BuildRequires: gcc
BuildRequires: make
BuildRequires: byacc bison flex flex-static libsepol-static >= %{libsepolver} libselinux-devel  >= %{libselinuxver}

%description
Security-enhanced Linux is a feature of the Linux® kernel and a number
of utilities with enhanced security functionality designed to add
mandatory access controls to Linux.  The Security-enhanced Linux
kernel contains new architectural components originally developed to
improve the security of the Flask operating system. These
architectural components provide general support for the enforcement
of many kinds of mandatory access control policies, including those
based on the concepts of Type Enforcement®, Role-based Access
Control, and Multi-level Security.

This package contains checkpolicy, the SELinux policy compiler.
Only required for building policies.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p 2 -n %{name}-%{version}

%build

%set_build_flags

%make_build LIBDIR="%{_libdir}"
cd test
%make_build LIBDIR="%{_libdir}"

%install
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
%make_install LIBDIR="%{_libdir}"
install test/dismod ${RPM_BUILD_ROOT}%{_bindir}/sedismod
install test/dispol ${RPM_BUILD_ROOT}%{_bindir}/sedispol

%files
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_bindir}/checkpolicy
%{_bindir}/checkmodule
%{_bindir}/sedismod
%{_bindir}/sedispol
%{_mandir}/man8/checkpolicy.8.zst
%{_mandir}/man8/checkmodule.8.zst
%{_mandir}/ru/man8/checkpolicy.8.zst
%{_mandir}/ru/man8/checkmodule.8.zst

%files doc
%doc VERSION

%changelog
* Wed Dec 28 2022 Jing Zhang <renyu.zj@linux.alibaba.com> - 3.4-1
- update to 3.4 and optimise spec file

* Wed Mar 09 2022 Yuanhong Peng <yummypeng@linux.alibaba.com> - 3.3-1
- Init from upstream v3.3
